body {
  margin: 0;
  background-color: black;
  min-width: 1000px;
  /* Suppose you want minimum width of 1000px */
  width: auto !important;
  /* Firefox will set width as auto */
  width: 768px;
  /* As IE6 ignores !important it will set width as 1000px; */
}

body#dead {
  width: 20%;
  position: absolute;
  left: 80%;
  color: magenta;
}

/* Style the video: 100% width and height to cover the entire window */
#background-video {
  position: fixed;
  right: 0;
  bottom: 0;

  min-width: 40%;
  min-height: 40%;
  /* min-width: 100%;
  min-height: 100%; */
}

#video-overlay {
  opacity: 0;
  position: fixed;
  right: 0;
  bottom: 0;
  min-width: 100%;
  min-height: 100%;
  background-size: cover;
  background-image: url("assets/video-frame.png");
  background-position: 50% 50%;
  transition: opacity 1s ease;
}

/* Add some content at the bottom of the video/page */
.content {
  position: fixed;
  bottom: 0;
  background: rgba(0, 0, 0, 0.5);
  color: #f1f1f1;
  width: 100%;
  padding: 20px;
}

.popup {
  position: fixed;
  left: 0px;
  bottom: 0px;
  height: 30px;
  width: 10%;
  background: rgba(0, 0, 0, 0.5);
  color: #f1f1f1;
  width: fit-content;
  padding: 20px;
}

/* Style the button used to pause/play the video */
.popup-control {
  width: 90px;
  font-size: 18px;
  padding: 10px;
  border: none;
  background: #000;
  color: #fff;
  cursor: pointer;
}

.popup-control:hover {
  background: #ddd;
  color: black;
}

.video-container {
  position: absolute;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.video-container video {
  opacity: 0;
  /* Make video to at least 100% wide and tall */
  min-width: 100%;
  min-height: 100%;

  /* Setting width & height to auto prevents the browser from stretching or squishing the video */
  width: auto;
  height: auto;

  /* Center the video */
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: opacity 1s ease;

  z-index: -1;
}

.loading-container {
  min-width: 100%;
  min-height: 100%;

  /* Setting width & height to auto prevents the browser from stretching or squishing the video */
  width: auto;
  height: auto;

  background-color: #000;
  position: fixed;

  z-index: 10;
  transition: opacity 1s ease;
}

#loading-contents {
  /* Setting width & height to auto prevents the browser from stretching or squishing the video */
  width: auto;
  height: auto;

  /* Center the video */
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}